Touch (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Touch class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Touch

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Touch

public class Touch
extends Task

Touch a file and/or fileset(s); corresponds to the Unix touch command.

If the file to touch doesn't exist, an empty one is created.

Note: Setting the modification time of files is not supported in JDK 1.1.

Since:
  Ant 1.1
Author:
  Stefan Bodewig, Michael J. Sikorsky, Robert Shaw

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Touch()`

Method Summary
`void` | `addFileset(FileSet set)` Add a set of files to touch
`void` | `execute()` Execute the touch operation.
`void` | `setDatetime(java.lang.String dateTime)` the new modification time of the file in the format MM/DD/YYYY HH:MM AM or PM; Optional, default=now
`void` | `setFile(java.io.File file)` Sets a single source file to touch.
`void` | `setMillis(long millis)` the new modification time of the file in milliseconds since midnight Jan 1 1970.
`protected void` | `touch()` Does the actual work.
`protected void` | `touch(java.io.File file)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Touch

    public Touch()

Method Detail

### setFile

    public void setFile(java.io.File file)

  Sets a single source file to touch. If the file does not exist an empty file will be created.

### setMillis

    public void setMillis(long millis)

  the new modification time of the file in milliseconds since midnight Jan 1 1970. Optional, default=now

### setDatetime

    public void setDatetime(java.lang.String dateTime)

  the new modification time of the file in the format MM/DD/YYYY HH:MM AM or PM; Optional, default=now

### addFileset

    public void addFileset(FileSet set)

  Add a set of files to touch

### execute

    public void execute()
                 throws BuildException

  Execute the touch operation.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### touch

    protected void touch()
                  throws BuildException

  Does the actual work. Entry point for Untar and Expand as well.

  Throws:
    `BuildException`

### touch

    protected void touch(java.io.File file)
                  throws BuildException

  Throws:
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.